=== debian/changelog ===
niceshaper (1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Mariusz Jedwabny <mariusz@jedwabny.net>  Tue, 07 Jun 2016 23:14:29 +0200

niceshaper (1.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #717124)

 -- Mariusz Jedwabny <mariusz@jedwabny.net>  Sun, 17 Apr 2016 20:59:23 +0200
