=== debian/control ===
Source: niceshaper
Section: net
Priority: optional
Maintainer: Mariusz Jedwabny <mariusz@jedwabny.net>
Build-Depends: debhelper (>=9),
               dh-systemd
Standards-Version: 3.9.8
Homepage: http://niceshaper.jedwabny.net

Package: niceshaper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute2
Recommends: iptables
Description: Dynamic Traffic Shaper
 NiceShaper is a program working in a Linux router environment.
 It uses a proven HTB QOS algorithm. It provides dynamic traffic shaping
 which is more effective than traditional, static shaping.
 By constantly monitoring packets flowing through the router in response to
 changing load dynamically adjusts the bandwidth of acting classes to a level
 enabling the fullest possible usage of a internet access.
 At the same time does not allow for creation of congestion,
 ensuring complete convenience of interactive services.
 .
 NiceShaper protects each class which use reasonable amount of bandwidth and
 takes care of overall download when upload is close to stop up.
