=== debian/watch ===
version=3

http://niceshaper.jedwabny.net/files/niceshaper-(.*)\.tar\.bz2
