=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CXX=g++
 
-CXXFLAGS+=-Wall -pedantic
+CXXFLAGS+=-Wall
 CPPFLAGS+=-I../include
 LDFLAGS+=-pthread
