=== debian/changelog ===
niceshaper (1.2.4-1) unstable; urgency=medium

  * New upstream release.
    - Auto Hosts feature added.
    - Status, show, and stop commands work even if errors in global section
      configuration are found.
    - Fix a bug where the commands status and show with --remote parameter
      don't work if NiceShaper is not running locally.
    - Allow additional dashes within the iface directive.
    - Language fixes and updates introduced into the English translation 
      of documentation.
  * Fix watch file to check for stable releases only.

 -- Mariusz Jedwabny <mariusz@jedwabny.net>  Tue, 27 Dec 2016 23:52:52 +0100
