=== debian/control ===
Source: niceshaper
Section: net
Priority: optional
Maintainer: Mariusz Jedwabny <mariusz@jedwabny.net>
Build-Depends: debhelper (>=9),
               dh-systemd
Standards-Version: 3.9.8
Homepage: http://niceshaper.jedwabny.net

Package: niceshaper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute2
Recommends: iptables
Description: Dynamic Traffic Shaper
 NiceShaper is the program developed for Linux router environment.
 It works in user space on top of standard Linux QOS implementation 
 and iptables. By default, a proven HTB algorithm is used for the root, inner,
 and leaf classes, SFQ packets scheduling algorithm is the default queuing 
 discipline (qdisc) contained within each of leaf classes, U32 and FW are
 used as the packets classifiers. NiceShaper provides dynamic traffic shaping
 approach which is more effective than traditional shaping with static rates.
 While constantly monitoring the traffic flowing through the router, 
 in response to the changing load, dynamically adjusts the rate and ceil
 parameters values of enabled HTB classes to the values which enable 
 the fullest possible utilization of Internet connection throughput.
 .
 NiceShaper protects each host which uses reasonable amount of shared
 throughput while watching over the configured optimal utilization of 
 Internet connection. Therefore, at the asymmetric Internet connection, 
 takes care of download when upload is close to stop up (and vice versa).
 NiceShaper doesn't allow for creation of congestions,
 thus ensures the comfort of using interactive services as well.
