=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export BINDIR=/usr/bin

override_dh_compress:
	dh_compress -Xchangelog.html -Xniceshaper.vim

override_dh_installinit:
	dh_installinit --no-start

%:
	dh $@ --with systemd
