=== debian/watch ===
version=3

http://niceshaper.jedwabny.net/files/niceshaper-(\d\.\d\.\d+)\.tar\.bz2
